Subject: RE: I-D ACTION:draft-henry-DHCP-opt61-UUID-type-00.txt

From: [email-masked] (Glenn Waters)
Date: Tue, 24 Nov 1998 10:24:49 -0500 (EST)

> A New Internet-Draft is available from the on-line
> Internet-Drafts directories.
>
>
> 	Title		: DHCP Option 61 UUID Type Definition
> 	Author(s)	: M. Henry
> 	Filename	: draft-henry-DHCP-opt61-UUID-type-00.txt
> 	Pages		: 3
> 	Date		: 20-Nov-98

this draft changes the meaning of the client-id which could be problematic
since the client-id is already in use.  i don't perceive a problem with the
way the client-id is defined today. however, a section that presents the
motivation for creating a UUID-based client-id would be useful to understand
the reasons for changing the meaning of the client-id.

more comments inline below.

> 2.0 Proposed change to DHCP Vendor Option 61
>
>    Client-identifier
>
>    DHCP clients use this option to specify their unique identifier. This
>    value is expected to be unique for all clients in an administrative
>    domain.
>
>    DHCP servers use this value to index their database of address
>    bindings. DHCP servers SHOULD treat identifiers as opaque objects.
>
>    For correct identification of clients, each client's client-identifier
>    MUST be unique among the client-identifiers used on the subnet to
>    which the client is attached, and SHOULD be unique across all domains.
>    Vendors and system administrators are responsible for choosing
>    client-identifiers that meet this requirement for uniqueness.

this says the client-id must be unique on the subnet.  in chicago we
discussed making the client-id unique in the administrative domain.  this
issue needs to be resolved.

>    The client identifier MAY be one of several types defined here:
>
>    The client identifier MAY be a UUID (Universal Unique ID). In this
>    case, the Type field MUST be 254 and the length field MUST be 18.
>    The format and content of the UUID MUST be as specified in the RPC
>    Specification from the Open Group [3]

in glancing the the open group definition of UUID it says the the UUID is 16
octets.  why must the length be 18?  one type byte plus 16 octets equals 17
octets, yes?

>
>    The client identifier MAY consist of type-value pairs similar to the
>    'htype'/'chaddr' fields defined in [3]. For instance, it MAY consist
>    of a hardware type and hardware address. In this case the type field
>    SHOULD be one of the ARP hardware types defined in STD2 [22].
>
>    A hardware type of 0 (zero) SHOULD be used when the value field
>    contains an identifier other than a UUID or hardware address (e.g. a
>    fully qualified domain name).
>
>    The code for this option is 61, and its minimum length is 2.
>
>     Code   Len   Type  Client-Identifier
>    +-----+-----+-----+-----+-----+-----
>    |  61 |  n  | t1  | i1  | i2  | ...
>    +-----+-----+-----+-----+-----+-----

/gww